Subject: Re: TSI ethernet PHY question

From: Segher Boessenkool <[email-masked]>
Date: Wed, 23 May 2007 17:55:45 +0200

> On power up, because this pin is pulled high by the LED, the
> TXC_RXC_DELAY mode is enabled, causing a 1.9ns delay between the clock
> and data on the GMII interface. Tsi109 could not operate properly with
> this delay. The TXC_RXC_DELAY mode has to be disabled by software.
>
> If the Quality/TXC_RXC_DELAY pin is left not connected PHY will work in
> normal mode without delay and therefore the workaround is not required.

So it is a board-specific workaround.

> I think that for situations like one on the Holly board we may need
> board-specific hooks which modify normal initialization. As in our 
> case:
> no LED - no trouble.

Should be initiated from the platform code yes; it could
be as simple as passing a flag to the init function.

> -----Original Message-----

Don't top-post :-)

Segher